# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANModules
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.0
Release: alt1
Summary: CPAN modules
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Acme-CPANModules

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
With the multitude of modules that are available on CPAN, it is sometimes
difficult for a user to choose an appropriate module for a task or find other
modules related in some ways to a module. Various projects like CPAN Ratings (where users rate and review a
distribution) or MetaCPAN (which has a `++' feature
where logged-in users can press a button to `++' a module and the website will
tally the number of `++''s a distribution has) help to some extent. There are
also various blog posts by Perl programmers which review modules, e.g. CPAN Module Reviews by Neil Bowers.

For categorizing CPAN authors, there are also the the Acme::CPANAuthors manpage project,
complete with its own website.

Acme::CPANModules is another mechanism to help, to let someone categorize
modules in whatever way she likes.

A related website/online service for "CPAN modules" is coming (when I eventually
get to it :-), or perhaps when I get some help).

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*

%changelog
* Sun Jan 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1
- initial import by package builder

